Page MenuHomePhabricator

[1/2] Add intrinsics for TBM instruction set
ClosedPublic

Authored by ygao on Sep 24 2013, 7:19 PM.

Details

Reviewers
ygao
Summary

Hi,
This patch adds intrinsics to the llvm backend for TBM instruction set. TableGen pattern fragments to auto-select TBM instructions will be added soon.
Could someone take a look whether this is good to go in?
Many thanks,

  • Gao.

Diff Detail

Event Timeline

ygao updated this revision to Unknown Object (????).Sep 25 2013, 3:56 PM
ygao updated this revision to Unknown Object (????).Sep 26 2013, 7:40 PM

Please add XOPA to lib/Target/X86/X86CodeEmitter.cpp too

Other than that LGTM. And thanks for the thorough test cases. The load forms are frequently not tested in codegen.

Please add this to your test cases:

bextr %ebx, (%edi), %eax
// CHECK: encoding: [0x67,0xc4,0xe2,0x60,0xf7,0x07]

bextr $foo, (%edi), %eax
// CHECK: encoding: [0x67,0x8f,0xea,0x78,0x10,0x07,A,A,A,A]

They will currently fail... please fix that too :)

ygao added a comment.Feb 10 2014, 3:29 PM

Looks like Craig fixed it in r200516.

ygao accepted this revision.Oct 12 2016, 12:11 AM
ygao added a reviewer: ygao.

Closed by rL191539.

This revision is now accepted and ready to land.Oct 12 2016, 12:11 AM
ygao closed this revision.Oct 12 2016, 12:12 AM